<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="SDIO__HOST_8h" kind="file" language="C++">
    <compoundname>SDIO_HOST.h</compoundname>
    <includedby local="yes" refid="SDIO__HOST_8c">SDIO_HOST.c</includedby>
    <briefdescription>
<para>This file provides types definition, constants and function definition for the SDIO driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor">#if<sp />!defined(CY_SDIO_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_SDIO_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CYHAL_UDB_SDIO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"SDIO_HOST_cfg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="67"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />API<sp />Constants</highlight></codeline>
<codeline lineno="68"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="preprocessor">#define<sp />SDIO_CMD_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(100000u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="preprocessor">#define<sp />SDIO_DAT_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(500000u)<sp /></highlight></codeline>
<codeline lineno="77"><highlight class="preprocessor">#define<sp />SDIO_SRC_CLK_FREQ_HZ<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(10000000u)<sp /><sp /></highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor">#define<sp />SDIO_ENABLE_CNT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x20u)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="83"><highlight class="preprocessor" /><highlight class="comment">/*<sp />@{*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_HOST_DIR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x40u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="85"><highlight class="preprocessor">#define<sp />SDIO_CMD_END_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor">#define<sp />SDIO_NUM_CMD_BYTES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(6u)<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor">#define<sp />SDIO_NUM_RESP_BYTES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(6u)<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="88"><highlight class="preprocessor" /></codeline>
<codeline lineno="93"><highlight class="preprocessor" /><highlight class="comment">/*<sp />@{*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CTRL_INT_CLK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />SDIO_CTRL_SD_CLK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x02u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor">#define<sp />SDIO_CTRL_ENABLE_WRITE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />SDIO_CTRL_ENABLE_READ<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x08u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor">#define<sp />SDIO_CTRL_SKIP_RESPONSE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x10u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />SDIO_CTRL_RESET<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x20u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor">#define<sp />SDIO_CTRL_RESET_DP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x40u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor">#define<sp />SDIO_CTRL_ENABLE_INT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x80u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="102"><highlight class="preprocessor" /></codeline>
<codeline lineno="107"><highlight class="preprocessor" /><highlight class="comment">/*<sp />@{*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_STS_CMD_DONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />SDIO_STS_WRITE_DONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x02u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="110"><highlight class="preprocessor">#define<sp />SDIO_STS_READ_DONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x04u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="preprocessor">#define<sp />SDIO_STS_CRC_ERR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x08u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="112"><highlight class="preprocessor">#define<sp />SDIO_STS_CMD_IDLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x10u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="113"><highlight class="preprocessor">#define<sp />SDIO_STS_DAT_IDLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x20u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor">#define<sp />SDIO_STS_CARD_INT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x40u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="115"><highlight class="preprocessor" /></codeline>
<codeline lineno="120"><highlight class="preprocessor" /><highlight class="comment">/*<sp />@{*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CRC7_POLY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x12u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="122"><highlight class="preprocessor">#define<sp />SDIO_CRC_UPPER_BIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x80u)<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="123"><highlight class="preprocessor" /></codeline>
<codeline lineno="128"><highlight class="preprocessor" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="129"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="130"><highlight class="comment">***************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<sp />sdio_card_int_cb_t)(void);</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />en_sdio_event</highlight></codeline>
<codeline lineno="146"><highlight class="normal">{</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />SdCmdEventCmdDone<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(1u),<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp />SdCmdEventTransferDone<sp /><sp /><sp /><sp /><sp /><sp />=<sp />(2u)<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal">}en_sdio_event_t;</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />en_sdio_result</highlight></codeline>
<codeline lineno="156"><highlight class="normal">{</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />Ok<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp />Error<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x01,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />CommandCrcError<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x02,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />CommandIdxError<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x04,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />CommandEndError<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x08,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />DataCrcError<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x10,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />CMDTimeout<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x20,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />DataTimeout<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x40,<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />ResponseFlagError<sp />=<sp />0x80<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="167"><highlight class="normal">}<sp />en_sdio_result_t;</highlight></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">stc_sdcmd_event_flag</highlight></codeline>
<codeline lineno="173"><highlight class="normal">{</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />u8CmdComplete;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />u8TransComplete;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />u8CRCError;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="178"><highlight class="normal">}stc_sdio_event_flag_t;</highlight></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">stc_sdio_irq_cb</highlight></codeline>
<codeline lineno="184"><highlight class="normal">{</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp />sdio_card_int_cb_t<sp />pfnCardIntCb;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="186"><highlight class="normal">}stc_sdio_irq_cb_t;</highlight></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">stc_sdio_gInternalData</highlight></codeline>
<codeline lineno="192"><highlight class="normal">{</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp />stc_sdio_irq_cb_t<sp /><sp /><sp /><sp /><sp /><sp /><sp />pstcCallBacks;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp />stc_sdio_event_flag_t<sp /><sp /><sp />stcEvents;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="195"><highlight class="normal">}stc_sdio_gInternalData_t;</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">stc_sdio_cmd_config</highlight></codeline>
<codeline lineno="201"><highlight class="normal">{</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />u8CmdIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />u32Argument;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />bResponseRequired;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*pu8ResponseBuf;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="207"><highlight class="normal">}stc_sdio_cmd_config_t;</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">stc_sdio_data_config</highlight></codeline>
<codeline lineno="213"><highlight class="normal">{</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />bRead;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp />u16BlockSize;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp />u16BlockCount;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />*pu8Data;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="219"><highlight class="normal">}stc_sdio_data_config_t;</highlight></codeline>
<codeline lineno="220"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">stc_sdio_cmd</highlight></codeline>
<codeline lineno="225"><highlight class="normal">{</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />u32CmdIdx;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />u32Arg;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*pu32Response;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*pu8Data;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />bRead;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />u16BlockCnt;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />u16BlockSize;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="233"><highlight class="normal">}stc_sdio_cmd_t;</highlight></codeline>
<codeline lineno="234"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="238"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="239"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="comment">/*<sp />Main<sp />functions*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_Init(stc_sdio_irq_cb_t*<sp />pfuCb);</highlight></codeline>
<codeline lineno="248"><highlight class="normal">en_sdio_result_t<sp /><sp /><sp /><sp />SDIO_SendCommandAndWait(stc_sdio_cmd_t<sp />*pstcCmd);</highlight></codeline>
<codeline lineno="249"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_EnableIntClock(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="250"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_DisableIntClock(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="251"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_EnableSdClk(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="252"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_DisableSdClk(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="253"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_SetSdClkFrequency(uint32_t<sp />u32SdClkFreqHz);</highlight></codeline>
<codeline lineno="254"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_Reset(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="255"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_EnableChipInt(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="256"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_DisableChipInt(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="257"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_Free(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="258"><highlight class="normal" /></codeline>
<codeline lineno="259"><highlight class="normal" /><highlight class="comment">/*Low<sp />Level<sp />Functions*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="260"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_SendCommand(stc_sdio_cmd_config_t<sp />*pstcCmdConfig);</highlight></codeline>
<codeline lineno="261"><highlight class="normal">en_sdio_result_t<sp /><sp /><sp /><sp />SDIO_GetResponse(uint8_t<sp />bCmdIndexCheck,<sp />uint8_t<sp />bCmdCrcCheck,<sp />uint8_t<sp />u8CmdIdx,<sp />uint32_t*<sp />pu32Response,<sp />uint8_t*<sp />pu8ResponseBuf);</highlight></codeline>
<codeline lineno="262"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_InitDataTransfer(stc_sdio_data_config_t<sp />*pstcDataConfig);</highlight></codeline>
<codeline lineno="263"><highlight class="normal">en_sdio_result_t<sp /><sp /><sp /><sp />SDIO_CheckForEvent(en_sdio_event_t<sp />enEventType);</highlight></codeline>
<codeline lineno="264"><highlight class="normal">uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_CalculateCrc7(uint8_t*<sp />pu8Data,<sp />uint8_t<sp />pu8Size);</highlight></codeline>
<codeline lineno="265"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_SetBlockSize(uint8_t<sp />u8ByteCount);</highlight></codeline>
<codeline lineno="266"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_SetNumBlocks(uint8_t<sp />u8BlockCount);</highlight></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="normal" /><highlight class="comment">/*DMA<sp />setup<sp />function*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="269"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_SetupDMA(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="270"><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="normal" /><highlight class="comment">/*Interrupt<sp />Function*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_IRQ(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="273"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_READ_DMA_IRQ(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="274"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_WRITE_DMA_IRQ(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="275"><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SDIO_Crc7Init(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="277"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal">cy_en_syspm_status_t<sp />SDIO_DeepSleepCallback(cy_stc_syspm_callback_params_t<sp />*params,<sp />cy_en_syspm_callback_mode_t<sp />mode);</highlight></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="286"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Hardware<sp />Registers</highlight></codeline>
<codeline lineno="287"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="preprocessor">#define<sp />SDIO_CONTROL_REG<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="292"><highlight class="preprocessor">SDIO_HOST_bSDIO_CtrlReg__CONTROL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal" /></codeline>
<codeline lineno="294"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CONTROL_PTR<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp /><sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="295"><highlight class="preprocessor">SDIO_HOST_bSDIO_CtrlReg__CONTROL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="296"><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_STATUS_REG<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="298"><highlight class="preprocessor">SDIO_HOST_bSDIO_StatusReg__STATUS_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="299"><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_STATUS_PTR<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp /><sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="301"><highlight class="preprocessor">SDIO_HOST_bSDIO_StatusReg__STATUS_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_STATUS_INT_MSK<sp /><sp /><sp />(*<sp />(reg8*)<sp />\</highlight></codeline>
<codeline lineno="304"><highlight class="preprocessor">SDIO_HOST_bSDIO_StatusReg__MASK_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_STATUS_AUX_CTL<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="307"><highlight class="preprocessor">SDIO_HOST_bSDIO_StatusReg__STATUS_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="308"><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_BIT_CNT_CONTROL_REG<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="310"><highlight class="preprocessor">SDIO_HOST_bSDIO_cmdBitCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_BIT_CNT_CONTROL_PTR<sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="313"><highlight class="preprocessor">SDIO_HOST_bSDIO_cmdBitCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal" /></codeline>
<codeline lineno="315"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_WRITE_CRC_CNT_CONTROL_REG<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="316"><highlight class="preprocessor">SDIO_HOST_bSDIO_writeCrcCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="317"><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_WRITE_CRC_CNT_CONTROL_PTR<sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="319"><highlight class="preprocessor">SDIO_HOST_bSDIO_writeCrcCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="321"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_BYTE_CNT_CONTROL_REG<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="322"><highlight class="preprocessor">SDIO_HOST_bSDIO_byteCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_BYTE_CNT_CONTROL_PTR<sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="325"><highlight class="preprocessor">SDIO_HOST_bSDIO_byteCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CRC_BIT_CNT_CONTROL_REG<sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="328"><highlight class="preprocessor">SDIO_HOST_bSDIO_crcBitCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="329"><highlight class="normal" /></codeline>
<codeline lineno="330"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CRC_BIT_CNT_CONTROL_PTR<sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="331"><highlight class="preprocessor">SDIO_HOST_bSDIO_crcBitCounter__CONTROL_AUX_CTL_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal" /></codeline>
<codeline lineno="333"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_A0_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="334"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__A0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="335"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_A0_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="337"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__A0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_D0_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="340"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__D0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_D0_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="343"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__D0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal" /></codeline>
<codeline lineno="345"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_A1_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="346"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__A1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="347"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_A1_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="349"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__A1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="350"><highlight class="normal" /></codeline>
<codeline lineno="351"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_D1_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="352"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__D1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="353"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DATA_BLOCK_COUNTER_D1_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="355"><highlight class="preprocessor">SDIO_HOST_bSDIO_blockCounter_u0__D1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_COMMAND_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="358"><highlight class="preprocessor">SDIO_HOST_bSDIO_CMD__F0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal" /></codeline>
<codeline lineno="360"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_COMMAND_A0_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="361"><highlight class="preprocessor">SDIO_HOST_bSDIO_CMD__A0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_COMMAND_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="364"><highlight class="preprocessor">SDIO_HOST_bSDIO_CMD__F0_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="normal" /></codeline>
<codeline lineno="366"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_RESPONSE_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="367"><highlight class="preprocessor">SDIO_HOST_bSDIO_CMD__F1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="368"><highlight class="normal" /></codeline>
<codeline lineno="369"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_CMD_RESPONSE_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="370"><highlight class="preprocessor">SDIO_HOST_bSDIO_CMD__F1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DAT_WRITE_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg16<sp />*)<sp />\</highlight></codeline>
<codeline lineno="373"><highlight class="preprocessor">SDIO_HOST_bSDIO_Write_DP__F0_F1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="374"><highlight class="normal" /></codeline>
<codeline lineno="375"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DAT_WRITE_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg16<sp />*)<sp />\</highlight></codeline>
<codeline lineno="376"><highlight class="preprocessor">SDIO_HOST_bSDIO_Write_DP__F0_F1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="normal" /></codeline>
<codeline lineno="378"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DAT_READ_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg16<sp />*)<sp />\</highlight></codeline>
<codeline lineno="379"><highlight class="preprocessor">SDIO_HOST_bSDIO_Read_DP__F0_F1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="380"><highlight class="normal" /></codeline>
<codeline lineno="381"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_DAT_READ_PTR<sp /><sp /><sp /><sp /><sp />(<sp />(reg16<sp />*)<sp />\</highlight></codeline>
<codeline lineno="382"><highlight class="preprocessor">SDIO_HOST_bSDIO_Read_DP__F0_F1_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="383"><highlight class="normal" /></codeline>
<codeline lineno="384"><highlight class="normal" /><highlight class="preprocessor">#define<sp />SDIO_BYTE_COUNT_REG<sp /><sp /><sp /><sp /><sp />(*<sp />(reg8<sp />*)<sp />\</highlight></codeline>
<codeline lineno="385"><highlight class="preprocessor">SDIO_HOST_bSDIO_byteCounter__PERIOD_REG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="386"><highlight class="normal" /></codeline>
<codeline lineno="389"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="390"><highlight class="normal">}</highlight></codeline>
<codeline lineno="391"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="392"><highlight class="normal" /></codeline>
<codeline lineno="393"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CYHAL_UDB_SDIO)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="394"><highlight class="normal" /></codeline>
<codeline lineno="395"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(CY_SDIO_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="396"><highlight class="normal" /></codeline>
<codeline lineno="399"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_UDB_SDIO_WHD/udb-sdio-whd/SDIO_HOST.h" />
  </compounddef>
</doxygen>